<!DOCTYPE html>
<html>
<link>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<meta charset="utf-8">
<title>
    GoTo Achievement
</title>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
    {% if is_admin %}
    <a class="navbar-brand" href="/index_admin">GoTo Achievement</a>
    {% endif %}
    {% if not is_admin %}
    <a class="navbar-brand" href="/index">GoTo Achievement</a>
    {% endif %}
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="/users_list">Участники<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="/achvs_list">Ачивки</a>
            </li>
            {% if is_admin %}
            <li class="nav-item">
                <a class="nav-link" href="/logout_page">Выход</a>
            </li>
            {% endif %}
            {% if not is_admin %}
            <li class="nav-item">
                <a class="nav-link" href="/login_page">Войти как администратор</a>
            </li>
            {% endif %}
        </ul>
    </div>
</nav>

<div class="container" style="margin-top: 15px;">
    <div class="page-header">
        <div class="d-flex bd-highlight">
            <div class="p-2 w-75 bd-highlight">
                <h1>{{ user.first_name }} {{ user.last_name }}</h1>
                <p></p>
                <h5>Ачивки, заработанные участником:</h5>
                <!-- Это цикл ачивок -->
                {% for achv in achvs %}
                <div class="card" style="width: 46rem">
                    <div class="card-body">
                        <div class="page-header">
                            <div class="d-flex bd-highlight">
                                <div class="p-2 w-25 bd-highlight">
                                    <img src="{{achv.icon}}" class="rounded-circle" width="100">
                                </div>
                                <div class="p-2 w-75 bd-highlight">
                                    <a href="/achv_page/{{achv.id}}">
                                        <h5>{{ achv.title }}</h5>
                                    </a>
                                    <p>{{ achv.description }}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <p></p>
                {% endfor %}
            </div>
            <div class="p-2 w-25 bd-highlight">
                <img src="{{user.avatar}}" class="rounded-circle" alt="Cinque Terre" width="300">
                <p></p>
                <p>Заработано ачивок: {{achs_kol}}</p>
            </div>
        </div>
    </div>

</div>
<!--
<p>

    <form method="POST">
        {% csrf_token %}
        <p>
            <a href='/write' class="btn btn-success btn-lg" role="button">Написать о проблеме</a>
            <a href='/read' class="btn btn-primary btn-lg" role="button">Читать уже заданые</a>
        </p>
    </form>

</p>
<form method="post" action="/logout">
    {% csrf_token %}
    <input type="submit" class="btn btn-danger btn-lg" role="button" value="Выйти">
-->
</body>
</html>